%define version 0.4.0
%define release 2

Summary:      Linux Audio Developer's Configuration and Connection API
Name:         ladcca
Version:      %{version}
Release:      %{release}%{?dist}
License:      GPL
Group:        System Environment/Libraries
URL:          http://pkl.net/~node/ladcca.html
Source0:      %{name}-%{version}.tar.gz
Patch0:       ladcca-0.3.0-compile.patch
Patch1:       ladcca-0.4.0-project.patch
Patch2:       ladcca-0.4.0-services.patch
Patch3:       ladcca-0.4.0-etc.patch
Patch4:       ladcca-0.4.0-jackdir.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-buildroot

BuildRequires: alsa-lib-devel e2fsprogs-devel gtk+-devel gtk2-devel 
BuildRequires: jack-audio-connection-kit-devel libtermcap-devel
BuildRequires: libxml2-devel readline-devel tetex

%description
LADCCA is a session management system for JACK and ALSA audio
applications on GNU/Linux.

%package devel
Summary:      Development files for LADCCA
Group: 	      Development/Libraries
Requires:     %{name} = %{version}

%description devel
Development files for the LADCCA library.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
#aclocal
#libtoolize --copy --force
%configure --disable-libtool-lock
perl -p -i -e "s|-mcpu|-mtune|g" ladccad/Makefile
perl -p -i -e "s|-mcpu|-mtune|g" libladcca/Makefile
perl -p -i -e "s|-std=gnu99||g" ladccad/Makefile
perl -p -i -e "s|-std=gnu99||g" libladcca/Makefile

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO docs
%{_bindir}/ladcca*
%{_libdir}/libladcca.so.2
%{_libdir}/libladcca.so.2.*
%{_libdir}/pkgconfig/ladcca*
%{_datadir}/info/ladcca*
%{_datadir}/ladcca
%exclude %{_sysconfdir}/services

%files devel
%defattr(-,root,root,-)
%{_libdir}/libladcca.a
%{_libdir}/libladcca.la
%{_libdir}/libladcca.so
%{_includedir}/ladcca-1.0


%changelog
* Wed Apr 19 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Mon May 30 2005 Eddy Nigg <eddy_nigg@startcom.org>
- rebuild and update for StartCom Linux 4.0.x

* Sat Oct 23 2004 Eddy Nigg <eddy_nigg@startcom.org>
- rebuild for StartCom Linux

* Thu May 20 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- aded tetex buildrequires
* Sat May  8 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added buildrequires
- add patch to not add service to /etc/services
* Tue Feb 24 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.0-2
- added patch (thanks to Guenter Geiger) to not require a service number
  entry in /etc/services
* Fri Nov 14 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.0-1
- spec file tweaks
* Thu Nov  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.0-1
- updated to 0.4.0
- patched to build under gcc2.96 (patch1)
* Wed Feb 11 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.0-1
- updated to 0.3.0
- added 7.2 workaround for gtk2 configuration problem
* Mon Jan 13 2003  Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2-1
- Initial build.
